%define packrel  1
%define packname gnomeGUI

Name: R-%{packname}
Version: 2.1.0
Release: 5%{?dist}
Source0: ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}-%{packrel}.tar.gz
License: GPL version 2 or later.
URL: http://cran.r-project.org/contrib
Group: Applications/Engineering
Summary: GNOME Console for R
BuildRequires: R-devel >= 2.1.0, tetex-latex, libglade-devel, gnome-libs-devel
Requires: R >= 2.1.0, libglade, gnome-libs
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0: R-gnomeGUI-2.1.0-buildroot.patch

%description
R package:
Provides a console for R under Unix-alikes based on GNOME.

%prep
%setup -T -c -a 0
%patch0 -p1

%build
cp %{packname}/DESCRIPTION .

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/library
mkdir -p $RPM_BUILD_ROOT%{_libdir}/R/bin/exec
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{_libdir}/R/library %{packname}
%{_bindir}/R CMD check %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf $RPM_BUILD_ROOT%{_libdir}/R/library/R.css

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%postun
%{_bindir}/R CMD perl %{_libdir}/R/share/perl/build-help.pl --htmllists
cat %{_libdir}/R/library/*/CONTENTS > %{_libdir}/R/doc/html/search/index.txt

%files
%doc DESCRIPTION
%{_libdir}/R/library/%{packname}
%{_libdir}/R/bin/exec/*
%dir %{_libdir}/R/share/glade/
%{_libdir}/R/share/glade/*.glade

%changelog
* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.0-5
- bump for FC-5

* Mon May  9 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.0-4
- remove hardcoded dist tags

* Fri Apr 22 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.1.0-3.fc4
- add dist tag...and actually use it.

* Mon Apr 18 2005 Tom "spot" Callaway <tcallawa@redhat.com> 
- Initial package creation

